## com.baidubce.services.bos.model
Class CompleteMultipartUploadResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.CompleteMultipartUploadResponse

    public class CompleteMultipartUploadResponse

extends BosResponse

The CompleteMultipartUploadResponse contains all the information about the CompleteMultipartUpload method.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`CompleteMultipartUploadResponse()`

Method Summary
`String` `getBucketName()` Returns the name of the bucket containing the completed multipart object.
`String` `getETag()` Returns the entity tag identifying the new object.
`String` `getKey()` Gets the key by which the newly created object is stored.
`String` `getLocation()` Returns the URL identifying the new multipart object.
`void` `setBucketName(String bucketName)` Sets the name of the bucket containing the completed multipart object.
`void` `setETag(String eTag)` Sets the entity tag identifying the new object.
`void` `setKey(String key)` Sets the key of the newly created object.
`void` `setLocation(String location)` Sets the URL identifying the new multipart object.

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteMultipartUploadResponse

    public CompleteMultipartUploadResponse()

Method Detail

### getLocation

    public String getLocation()

  Returns the URL identifying the new multipart object.

  Returns:
    The URL identifying the new multipart object.

### setLocation

    public void setLocation(String location)

  Sets the URL identifying the new multipart object.

  Parameters:
    `location` - The URL identifying the new multipart object.

### getBucketName

    public String getBucketName()

  Returns the name of the bucket containing the completed multipart object.

  Returns:
    The name of the bucket containing the completed multipart object.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the bucket containing the completed multipart object.

  Parameters:
    `bucketName` - The name of the bucket containing the completed multipart object.

### getKey

    public String getKey()

  Gets the key by which the newly created object is stored.

### setKey

    public void setKey(String key)

  Sets the key of the newly created object.

### getETag

    public String getETag()

  Returns the entity tag identifying the new object. An entity tag is an opaque string that changes if and only if an object's data changes.

  Returns:
    An opaque string that changes if and only if an object's data changes.

### setETag

    public void setETag(String eTag)

  Sets the entity tag identifying the new object. An entity tag is an opaque string that changes if and only if an object's data changes.

  Parameters:
    `eTag` - The entity tag.

Copyright © 2016. All rights reserved.